Substy Developers
Publishing

List creator scheduled items

List a creator's scheduled platform items between calendar dates in the specified timezone. Use this for queued posts, chats and streams rather than team work schedules.

GET/v1/agencies/{agencyId}/creators/{creatorId}/publication-schedules

List a creator's scheduled platform items between calendar dates in the specified timezone. Use this for queued posts, chats and streams rather than team work schedules.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Query Parameters

publishDate*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
publishDateEnd*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
Formatdate
timeZone?string
Default"UTC"
limit?number
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/publication-schedules?publishDate=2019-08-24&publishDateEnd=2019-08-24" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "list": [      {        "type": "chat",        "id": 0,        "publishDateTime": "string",        "createdDateTime": "string",        "entity": {          "id": 0,          "price": null,          "media": null        }      }    ]  },  "meta": {    "requestId": "string"  }}